# Class Session

Contains information about a WebDriver session.

#### Hierarchy

- Session

#####
Index

### Constructors

constructor

### Methods

getCapabilities
getCapability
getId
toJSON

## Constructors

### constructor

- new Session(id, capabilities): Session

- #### Parameters

  - ##### id: string

    The session ID.

  - ##### capabilities: {} | Capabilities

    The session capabilities.

  #### Returns Session

## Methods

### getCapabilities

- getCapabilities(): Capabilities

- #### Returns Capabilities

  This session's capabilities.

### getCapability

- getCapability(key): any

- Retrieves the value of a specific capability.

  #### Parameters

  - ##### key: string

    The capability to retrieve.

  #### Returns any

  The capability value.

### getId

- getId(): string

- #### Returns string

  This session's ID.

### toJSON

- toJSON(): string

- Returns the JSON representation of this object, which is just the string session ID.

  #### Returns string

  The JSON representation of this Session.

Generated using TypeDoc